# Open a receiving account that delivers to a wallet

`POST /payments/accounts/{id}/receiving-accounts` · Rivier · shop

Open a receiving account that delivers to a wallet.

- Scope: shop:admin
- Sdk: shop.paymentResource.addReceivingAccount
- Cli: shop payment resource add receiving account

## Parameters

- `id` (path, required), string

## Request body

`application/json`

```json
{
  "type": "object",
  "properties": {
    "currency": {
      "type": "string",
      "enum": [
        "usd",
        "eur"
      ]
    },
    "walletId": {
      "type": "string",
      "format": "uuid"
    },
    "idempotencyKey": {
      "type": "string",
      "minLength": 1,
      "maxLength": 120
    }
  },
  "required": [
    "currency",
    "walletId"
  ],
  "additionalProperties": false
}
```

## Responses

- `200`: Success
- `400`: The request was malformed
- `401`: No valid credential
- `403`: The credential lacks the scope, origin or address
- `429`: Over the key's rate limit; see Retry-After

## Example

```sh
curl -X POST 'https://api.rivier.ai/payments/accounts/{id}/receiving-accounts' \
  -H 'Authorization: Bearer $KEY' \
  -H 'Content-Type: application/json' \
  -d '{
  "currency": "usd",
  "walletId": "string"
}'
```
